TelepathyQt4: Tp::ConnectionManager Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

# Tp::ConnectionManager Class Reference
[Connection manager proxies]

The ConnectionManager class provides an object representing a Telepathy connection manager. More...

`#include <TelepathyQt4/ConnectionManager>`

Inherits Tp::StatelessDBusProxy, OptionalInterfaceFactory< ConnectionManager >, Tp::ReadyObject, and Tp::RefCounted.

List of all members.

## Public Member Functions

- virtual ~ConnectionManager ()
- QString name () const
- QStringList supportedProtocols () const
- const ProtocolInfoList & protocols () const
- PendingConnection * requestConnection (const QString &protocol, const QVariantMap &parameters)
- Client::DBus::PropertiesInterface * propertiesInterface () const

## Static Public Member Functions

- static ConnectionManagerPtr create (const QString &name)
- static ConnectionManagerPtr create (const QDBusConnection &bus, const QString &name)
- static PendingStringList * listNames (const QDBusConnection &bus=QDBusConnection::sessionBus())

## Static Public Attributes

- static const Feature FeatureCore

## Protected Member Functions

- ConnectionManager (const QString &name)
- ConnectionManager (const QDBusConnection &bus, const QString &name)
- Client::ConnectionManagerInterface * baseInterface () const

## Properties

- QString name
- QStringList supportedProtocols
- ProtocolInfoList protocols

## Detailed Description

The ConnectionManager class provides an object representing a Telepathy connection manager.

Connection managers allow connections to be made on one or more protocols.

Most client applications should use this functionality via the AccountManager, to allow connections to be shared between client applications.

## Constructor & Destructor Documentation

Tp::ConnectionManager::~ConnectionManager | ( |  | ) | `[virtual]`

Class destructor.

Tp::ConnectionManager::ConnectionManager | ( | const QString & | name | ) | `[protected]`

Construct a new ConnectionManager object.

Parameters:

  | name | Name of the connection manager.

Tp::ConnectionManager::ConnectionManager | ( | const QDBusConnection & | bus,
|  | const QString & | name |
| ) |  |  | `[protected]`

Construct a new ConnectionManager object using the given bus.

Parameters:

  | bus | QDBusConnection to use.
  | name | Name of the connection manager.

## Member Function Documentation

ConnectionManagerPtr Tp::ConnectionManager::create | ( | const QString & | name | ) | `[static]`

Create a new ConnectionManager object.

Parameters:

  | name | Name of the connection manager.

Returns:
  A ConnectionManagerPtr object pointing to the newly created ConnectionManager object.

ConnectionManagerPtr Tp::ConnectionManager::create | ( | const QDBusConnection & | bus,
|  | const QString & | name |
| ) |  |  | `[static]`

Create a new ConnectionManager object using the given bus.

Parameters:

  | bus | QDBusConnection to use.
  | name | Name of the connection manager.

Returns:
  A ConnectionManagerPtr object pointing to the newly created ConnectionManager object.

QString Tp::ConnectionManager::name | ( |  | ) | const

QStringList Tp::ConnectionManager::supportedProtocols | ( |  | ) | const

const ProtocolInfoList& Tp::ConnectionManager::protocols | ( |  | ) | const

PendingConnection * Tp::ConnectionManager::requestConnection | ( | const QString & | protocol,
|  | const QVariantMap & | parameters |
| ) |  |  |

Request a Connection object representing a given account on a given protocol with the given parameters.

Return a pending operation representing the Connection object which will succeed when the connection has been created or fail if an error occurred.

Parameters:

  | protocol | Name of the protocol to create the account for.
  | parameters | Account parameters.

Returns:
  A PendingOperation which will emit PendingConnection::finished when the account has been created of failed its creation process.

PendingStringList * Tp::ConnectionManager::listNames | ( | const QDBusConnection & | bus = `QDBusConnection::sessionBus()` | ) | `[static]`

Return a pending operation from which a list of all installed connection manager short names (such as "gabble" or "haze") can be retrieved if it succeeds.

Returns:
  A PendingStringList which will emit PendingStringList::finished when this object has finished or failed getting the connection manager names.

DBus::propertiesInterface * Tp::ConnectionManager::propertiesInterface | ( |  | ) | const`[inline]`

Convenience function for getting a Properties interface proxy. The Properties interface is not necessarily reported by the services, so a `check` parameter is not provided, and the interface is always assumed to be present.

Client::ConnectionManagerInterface * Tp::ConnectionManager::baseInterface | ( |  | ) | const`[protected]`

Get the ConnectionManagerInterface for this ConnectionManager. This method is protected since the convenience methods provided by this class should generally be used instead of calling D-Bus methods directly.

Returns:
  A pointer to the existing ConnectionManagerInterface for this ConnectionManager.

## Member Data Documentation

const Feature Tp::ConnectionManager::FeatureCore`[static]`

Feature representing the core that needs to become ready to make the ConnectionManager object usable.

Note that this feature must be enabled in order to use most ConnectionManager methods. See specific methods documentation for more details.

When calling isReady(), becomeReady(), this feature is implicitly added to the requested features.

## Property Documentation

QString Tp::ConnectionManager::name`[read]`

Get the short name of the connection manager (e.g. "gabble").

Returns:
  The name of the connection manager.

QStringList Tp::ConnectionManager::supportedProtocols`[read]`

Get a list of strings identifying the protocols supported by this connection manager, as described in the Telepathy D-Bus API Specification (e.g. "jabber").

These identifiers are not intended to be displayed to users directly; user interfaces are responsible for mapping them to localized strings.

Returns:
  A list of supported protocols.

const ProtocolInfoList & Tp::ConnectionManager::protocols`[read]`

Get a list of protocols info for this connection manager.

Returns:
  A list of ṔrotocolInfo.